#include "../include/Piece.h"


//NombreDePiece, Rotation, ligne, colone
int Form_Piece [7][4][5][5] =
{
  {
   {
    {0,0,0,0,0},
    {0,0,0,0,0},
    {0,0,2,1,0},
    {0,0,1,1,0},
    {0,0,0,0,0}
    },
   {
    {0,0,0,0,0},
    {0,0,0,0,0},
    {0,0,2,1,0},
    {0,0,1,1,0},
    {0,0,0,0,0}
    },
   {
    {0,0,0,0,0},
    {0,0,0,0,0},
    {0,0,2,1,0},
    {0,0,1,1,0},
    {0,0,0,0,0}
    },
   {
    {0,0,0,0,0},
    {0,0,0,0,0},
    {0,0,2,1,0},
    {0,0,1,1,0},
    {0,0,0,0,0}
    }
   },


  {
   {
    {0,0,0,0,0},
    {0,0,0,0,0},
    {0,1,2,1,1},
    {0,0,0,0,0},
    {0,0,0,0,0}
    },
   {
    {0,0,0,0,0},
    {0,0,1,0,0}, 
    {0,0,2,0,0},
    {0,0,1,0,0},
    {0,0,1,0,0}
    },
   {
    {0,0,0,0,0},
    {0,0,0,0,0},
    {1,1,2,1,0},
    {0,0,0,0,0},
    {0,0,0,0,0}
    },
   {
    {0,0,1,0,0},
    {0,0,1,0,0},
    {0,0,2,0,0},
    {0,0,1,0,0},
    {0,0,0,0,0}
    }
   }
  ,

  {
   {
    {0, 0, 0, 0, 0},
    {0, 0, 1, 0, 0},
    {0, 0, 2, 0, 0},
    {0, 0, 1, 1, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 0, 0, 0, 0},
    {0, 1, 2, 1, 0},
    {0, 1, 0, 0, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 1, 1, 0, 0},
    {0, 0, 2, 0, 0},
    {0, 0, 1, 0, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 0, 0, 1, 0},
    {0, 1, 2, 1, 0},
    {0, 0, 0, 0, 0},
    {0, 0, 0, 0, 0}
    }
   },

  {
   {
    {0, 0, 0, 0, 0},
    {0, 0, 1, 0, 0},
    {0, 0, 2, 0, 0},
    {0, 1, 1, 0, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 1, 0, 0, 0},
    {0, 1, 2, 1, 0},
    {0, 0, 0, 0, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 0, 1, 1, 0},
    {0, 0, 2, 0, 0},
    {0, 0, 1, 0, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 0, 0, 0, 0},
    {0, 1, 2, 1, 0},
    {0, 0, 0, 1, 0},
    {0, 0, 0, 0, 0}
    }
   },

  {
   {
    {0, 0, 0, 0, 0},
    {0, 0, 0, 1, 0},
    {0, 0, 2, 1, 0},
    {0, 0, 1, 0, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 0, 0, 0, 0},
    {0, 1, 2, 0, 0},
    {0, 0, 1, 1, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 0, 1, 0, 0},
    {0, 1, 2, 0, 0},
    {0, 1, 0, 0, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 1, 1, 0, 0},
    {0, 0, 2, 1, 0},
    {0, 0, 0, 0, 0},
    {0, 0, 0, 0, 0}
    }
   },

  {
   {
    {0, 0, 0, 0, 0},
    {0, 0, 1, 0, 0},
    {0, 0, 2, 1, 0},
    {0, 0, 0, 1, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 0, 0, 0, 0},
    {0, 0, 2, 1, 0},
    {0, 1, 1, 0, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 1, 0, 0, 0},
    {0, 1, 2, 0, 0},
    {0, 0, 1, 0, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 0, 1, 1, 0},
    {0, 1, 2, 0, 0},
    {0, 0, 0, 0, 0},
    {0, 0, 0, 0, 0}
    }
   },

  {
   {
    {0, 0, 0, 0, 0},
    {0, 0, 1, 0, 0},
    {0, 0, 2, 1, 0},
    {0, 0, 1, 0, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 0, 0, 0, 0},
    {0, 1, 2, 1, 0},
    {0, 0, 1, 0, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 0, 1, 0, 0},
    {0, 1, 2, 0, 0},
    {0, 0, 1, 0, 0},
    {0, 0, 0, 0, 0}
    },
   {
    {0, 0, 0, 0, 0},
    {0, 0, 1, 0, 0},
    {0, 1, 2, 1, 0},
    {0, 0, 0, 0, 0},
    {0, 0, 0, 0, 0}
    }
   }
};


int mPiecesInitialPosition  [7][4][2] =
{

  {
    {-2, -3}, 
    {-2, -3},
    {-2, -3},
    {-2, -3}
   },

  {
    {-2, -2},
    {-2, -3},
    {-2, -2},
    {-2, -3}
   },

  {
    {-2, -3},
    {-2, -3},
    {-2, -3},
    {-2, -2}
   },

  {
    {-2, -3},
    {-2, -2},
    {-2, -3},
    {-2, -3}
   },

  {
    {-2, -3},
    {-2, -3},
    {-2, -3},
    {-2, -2}
   },
   
  {
    {-2, -3},
    {-2, -3},
    {-2, -3},
    {-2, -2}
   },
   
  {
    {-2, -3},
    {-2, -3},
    {-2, -3},
    {-2, -2}
   },
};

int Piece::GetTypeBlock (int pPiece, int pRotation, int pX, int pY)
{
	return Form_Piece [pPiece][pRotation][pX][pY];
}

int Piece::GetXInitialPosition (int pPiece, int pRotation)
{
	return mPiecesInitialPosition [pPiece][pRotation][0];
}

int Piece::GetYInitialPosition (int pPiece, int pRotation)
{
	return mPiecesInitialPosition [pPiece][pRotation][1];
}
